% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HelperFunctions.R
\name{approx_grad}
\alias{approx_grad}
\title{Finite-difference Gradient Computer}
\usage{
approx_grad(x, fn, eps = sqrt(.Machine$double.eps))
}
\arguments{
\item{x}{Numeric vector of function arguments}

\item{fn}{Function returning list(objective, gradient)}

\item{eps}{Numeric scalar, finite difference tolerance}
}
\value{
Numeric vector of finite-difference approximated gradient
}
\description{
Computes finite-difference approximation of gradient given input of arguments
x and function fn
}
\details{
Used within \code{efficient_bfgs} if needed externally, but internally, this function
is actually ignored since when \code{VhalfInv_grad} is not supplied, \code{stats::optim()}
is used instead.
}
\keyword{internal}
