% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HelperFunctions.R
\name{get_centers}
\alias{get_centers}
\title{Get Centers for Partitioning}
\usage{
get_centers(data, K, cluster_args, cluster_on_indicators)
}
\arguments{
\item{data}{Matrix of predictor data}

\item{K}{Number of partitions minus 1 (\eqn{K})}

\item{cluster_args}{List with custom centers and kmeans args}

\item{cluster_on_indicators}{Include binary predictors in clustering}
}
\value{
Matrix of cluster centers
}
\description{
Get Centers for Partitioning
}
\details{
Returns partition centers via:

1. Custom supplied centers if provided as a valid \eqn{K \times q} matrix

2. kmeans clustering on all non-spline variables if \code{cluster_on_indicators=TRUE}

3. kmeans clustering excluding binary variables if \code{cluster_on_indicators=FALSE}
}
\keyword{internal}
